<xml> </xml>

db4o |

# ExtDb4o Methods

The methods of the ExtDb4o class are listed below. For a complete list of ExtDb4o class members, see the ExtDb4o Members topic.

#### Public Static Methods

openMemoryFile | opens an com.db4o.ObjectContainer for in-memory use . In-memory ObjectContainers are useful for maximum performance on small databases, for swapping objects or for storing db4o format data to other media or other databases. Be aware of the danger of running into OutOfMemory problems or complete loss of all data, in case of hardware or JVM failures.

#### Public Instance Methods

Equals (inherited from Object) |
GetHashCode (inherited from Object) |
GetType (inherited from Object) |
ToString (inherited from Object) |

#### See Also

ExtDb4o Class | com.db4o.ext Namespace